import QtQuick 1.0
import MuseScore 1.0

MuseScore {
      menuPath: "Plugins.jeTestPlugin"
      version:  "1.0"

      onRun: {
            if (typeof curScore === 'undefined')
                  Qt.quit();

            var cursor = curScore.newCursor();
            cursor.rewind(0);  // set cursor to first chord/rest

            var names = ["C", "Cis", "D", "Dis", "E", "F", "Fis", "G", "Gis", "A", "Ais", "B" ];

            while (cursor.segment) {
                  if (cursor.element.type == MScore.CHORD) {
                        //var text  = newElement(MScore.STAFF_TEXT);
                        //text.text = names[cursor.element.notes[0].pitch % 12];
                        //cursor.add(text);

                        var note=cursor.element.notes[0];
                        var msg="note: "+names[note.pitch % 12];
                        
                        msg+=", tpc="+note.tpc;
                        msg+=", accidental="+note.accidental();
                        msg+=", note="+note;
                        msg+=", segment="+cursor.segment;
                        msg+=", segment.measure="+cursor.segment.measure();

                        console.log(msg);
                        }
                  else {
                        //console.log("found type: "+cursor.element.type);
                        }
                  cursor.next();
                  }

            Qt.quit();
            }
      }
